searchNodes=[{"doc":"ExI18n - key-based internationalization library.","ref":"ExI18n.html","title":"ExI18n","type":"module"},{"doc":"Flag to determine if fallback to default locale.","ref":"ExI18n.html#fallback/0","title":"ExI18n.fallback/0","type":"function"},{"doc":"Default locale set in configuration.","ref":"ExI18n.html#locale/0","title":"ExI18n.locale/0","type":"function"},{"doc":"Supported locales.","ref":"ExI18n.html#locales/0","title":"ExI18n.locales/0","type":"function"},{"doc":"Search for translation in given locale based on provided key. Parameters locale: String with name of locale. key: String with path to translation. values: Map with values that will be interpolated. Examples iex&gt; ExI18n.t(&quot;en&quot;, &quot;hello&quot;) &quot;Hello world&quot; iex&gt; ExI18n.t(&quot;en&quot;, &quot;hello_name&quot;, name: &quot;Joe&quot;) &quot;Hello Joe&quot; iex&gt; ExI18n.t(&quot;en&quot;, &quot;invalid&quot;) ** (ArgumentError) Missing translation for key: invalid iex&gt; ExI18n.t(&quot;en&quot;, &quot;incomplete.path&quot;) ** (ArgumentError) incomplete.path is incomplete path to translation. iex&gt; ExI18n.t(&quot;en&quot;, &quot;hello_name&quot;, name: %{&quot;1&quot; =&gt; &quot;2&quot;}) ** (ArgumentError) Only string, boolean or number allowed for values.","ref":"ExI18n.html#t/2","title":"ExI18n.t/2","type":"function"},{"doc":"","ref":"ExI18n.html#t/3","title":"ExI18n.t/3","type":"function"},{"doc":"Cache that manage loaded locales.","ref":"ExI18n.Cache.html","title":"ExI18n.Cache","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"ExI18n.Cache.html#child_spec/1","title":"ExI18n.Cache.child_spec/1","type":"function"},{"doc":"Fetch translations for given locale. Parameters locale: String with locale to fetch. Examples iex&gt; ExI18n.Cache.fetch(&quot;en&quot;) %{&quot;empty&quot; =&gt; &quot;empty&quot;, &quot;hello&quot; =&gt; &quot;Hello world&quot;, &quot;hello_2&quot; =&gt; %{&quot;world&quot; =&gt; &quot;test&quot;},&quot;hello_many&quot; =&gt; [&quot;Joe&quot;, &quot;Mike&quot;], &quot;hello_name&quot; =&gt; &quot;Hello %{name}&quot;,&quot;incomplete&quot; =&gt; %{&quot;path&quot; =&gt; %{&quot;text&quot; =&gt; &quot;test&quot;}}, &quot;number&quot; =&gt; 1}","ref":"ExI18n.Cache.html#fetch/1","title":"ExI18n.Cache.fetch/1","type":"function"},{"doc":"Compile text with provided values.","ref":"ExI18n.Compiler.html","title":"ExI18n.Compiler","type":"module"},{"doc":"Compile text with provided values. Parameters text: String or List of strings to compile. values: Map of values. Examples iex&gt; ExI18n.Compiler.compile(&quot;hello %{test}&quot;, %{&quot;test&quot; =&gt; &quot;world&quot;}) &quot;hello world&quot; iex&gt; ExI18n.Compiler.compile(&quot;hello %{test}&quot;, %{}) &quot;hello %{test}&quot; iex&gt; ExI18n.Compiler.compile([&quot;hello %{test}&quot;, &quot;No.%{nr}&quot;], %{&quot;test&quot; =&gt; &quot;world&quot;, &quot;nr&quot; =&gt; 1}) [&quot;hello world&quot;, &quot;No.1&quot;]","ref":"ExI18n.Compiler.html#compile/2","title":"ExI18n.Compiler.compile/2","type":"function"},{"doc":"Loads translations.","ref":"ExI18n.Loader.html","title":"ExI18n.Loader","type":"behaviour"},{"doc":"Returns loader module based on type that will load translation file. Parameters loader: Atom with name of storage type or Module. Examples iex&gt; ExI18n.Loader.get(:yml) ExI18n.Loader.YAML","ref":"ExI18n.Loader.html#get/1","title":"ExI18n.Loader.get/1","type":"function"},{"doc":"Loads translations for locale. It will use adapter based on storage set in configuration. See get/1 Parameters locale: String with name of locale/file.","ref":"ExI18n.Loader.html#load/1","title":"ExI18n.Loader.load/1","type":"function"},{"doc":"","ref":"ExI18n.Loader.html#c:load/2","title":"ExI18n.Loader.load/2","type":"callback"},{"doc":"Loader type used to store translations.","ref":"ExI18n.Loader.html#loader_type/0","title":"ExI18n.Loader.loader_type/0","type":"function"},{"doc":"Options for loader.","ref":"ExI18n.Loader.html#options/0","title":"ExI18n.Loader.options/0","type":"function"},{"doc":"Loads translations from YAML files.","ref":"ExI18n.Loader.YAML.html","title":"ExI18n.Loader.YAML","type":"module"},{"doc":"Loads yaml file with translations. Parameters locale: String with name of locale/file. options: Map with options for loader. Examples iex&gt; ExI18n.Loader.YAML.load(&quot;en&quot;, %{path: &quot;test/fixtures&quot;}) {:ok, %{&quot;empty&quot; =&gt; &quot;empty&quot;, &quot;hello&quot; =&gt; &quot;Hello world&quot;, &quot;hello_2&quot; =&gt; %{&quot;world&quot; =&gt; &quot;test&quot;},&quot;hello_many&quot; =&gt; [&quot;Joe&quot;, &quot;Mike&quot;], &quot;hello_name&quot; =&gt; &quot;Hello %{name}&quot;,&quot;incomplete&quot; =&gt; %{&quot;path&quot; =&gt; %{&quot;text&quot; =&gt; &quot;test&quot;}}, &quot;number&quot; =&gt; 1}} iex&gt; ExI18n.Loader.YAML.load(&quot;invalid&quot;, %{path: &quot;test/fixtures&quot;}) {:error, &quot;Failed to open file test/fixtures/invalid.yml&quot;}","ref":"ExI18n.Loader.YAML.html#load/2","title":"ExI18n.Loader.YAML.load/2","type":"function"},{"doc":"ExI18n ExI18n is key-based internationalization library for Elixir.","ref":"readme.html","title":"ExI18n","type":"extras"},{"doc":"Installation Configuration Configuration parameters Loaders YAML Custom Documentation","ref":"readme.html#table-of-contents","title":"ExI18n - Table of Contents","type":"extras"},{"doc":"Add exi18n to your list of dependencies and to applications in mix.exs: # mix.exs def deps do [ {:exi18n, &quot;~&gt; 0.9.0&quot;}, ] end def application do [applications: [ :exi18n, ]] end","ref":"readme.html#installation","title":"ExI18n - Installation","type":"extras"},{"doc":"Add configuration to your config/config.exs: # config.exs config :exi18n, default_locale: &quot;en&quot;, locales: ~w(en), fallback: false, loader: :yml, loader_options: %{path: &quot;priv/locales&quot;}, var_prefix: &quot;%{&quot;, var_suffix: &quot;}&quot; Configuration parameters OptionDescriptionDefault default_localeDefault locale in your application.&quot;en&quot; localesSupported locales.[&quot;en&quot;] fallbackFallback to default locale if translation empty.false loaderTranslation loader. Supported types: :yml, :http, MyApp.Loader.:yml loader_optionsTranslation loader options.%{} var_prefixPrefix for values in translations.&quot;%{&quot; var_suffixSuffix for values in translations.&quot;}&quot;","ref":"readme.html#configuration","title":"ExI18n - Configuration","type":"extras"},{"doc":"YAML This loader will use yaml files from path to load translations. Module ExI18n.Loader.YAML Dependencies # mix.exs def deps do [ {:exi18n, &quot;~&gt; 0.9.0&quot;}, {:yaml_elixir, &quot;~&gt; 2.0&quot;}, ] end def application do [applications: [ :exi18n, :yaml_elixir, ]] end Configuration OptionRequiredDescription pathYesPath to locale files. # config.exs config :exi18n, loader: :yml, loader_options: %{ path: &quot;priv/locales&quot; # or {MyHelper, :path, [&quot;priv/locales&quot;]} } Custom Module MyApp.Loader Make sure that your custom loader has load/2 function that accepts locale and options as parameters and returns Map with translations. Example: defmodule MyApp.Loader do def load(locale, _options) do %{ &quot;en&quot; =&gt; %{...}, &quot;de&quot; =&gt; %{...} }[locale] end end Dependencies # mix.exs def deps do [ {:exi18n, &quot;~&gt; 0.9.0&quot;}, ] end def application do [applications: [ :exi18n, ]] end Configuration # config.exs config :exi18n, loader: MyApp.Loader, loader_options: %{my_config: &quot;value&quot;}","ref":"readme.html#loaders","title":"ExI18n - Loaders","type":"extras"},{"doc":"https://hexdocs.pm/exi18n","ref":"readme.html#documentation","title":"ExI18n - Documentation","type":"extras"}]